clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::ConfigurationSettings Struct Reference

Clangd extension: parameters configurable at any time, via the `workspace/didChangeConfiguration` notification. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::ConfigurationSettings:
[legend]

## Public Attributes
std::map< std::string, ClangdCompileCommand > | compilationDatabaseChanges

## Detailed Description

Clangd extension: parameters configurable at any time, via the `workspace/didChangeConfiguration` notification.

LSP defines this type as `any`.

Definition at line 445 of file Protocol.h.

## Member Data Documentation

## ◆ compilationDatabaseChanges

std::map<std::string, ClangdCompileCommand> clang::clangd::ConfigurationSettings::compilationDatabaseChanges

Definition at line 448 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h